Older version of MapFactor for Android older than 2.3
  • Hello,
    being owner of Vodafone 945 phone (ZTE Joe) running Android 2.1, I would very appreacite link to older version of MapFactor useful with older Android. Would it be possible to provide some short information about availability of such MapFactor?

    Many thanks for any feedback or link in Advance.
  • 3 Comments sorted by
  • sorry Milos, there has never been version for Android 2.2 and lower
    try to contact ZTE and ask for Android upgrade
    Regards
    Tomas
  • Thanks Tomas, please could you provide download link for Android 2.2?

    Regards,
    Milos
  • there is none, first version of Android we supported is 2.3

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Login with Facebook Sign In with Google Sign In with OpenID Sign In with Twitter

In this Discussion

Tagged